Subject: Help me find a lamp post

From: [email-masked] (Tim Baigent)
Date: 18 Oct 1995 20:26:48 GMT

Can anyone help me find a Victorian style lamp post about 8 foot tall, I guess it would be wrought iron. These were very popular in England but I haven't seen them in North American Garden Catalogues. If you are unsure of teh type I am refering to take a look at Cheers next time its on TV. They have one just outside the bar on the sidewalk.All I have been able to find in canada are Coachmans Lamps which is not really what I am looking for.